Bug 176203 - Poor scsi performance after kernel upgrade Symbios Logic 53c1030
Poor scsi performance after kernel upgrade Symbios Logic 53c1030
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 02:10 EST by suresh kumar
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1776_FC4smp
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description suresh kumar 2005-12-20 02:10:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.50

Description of problem:
Upgrade from 1644 kernel  to 1653 left my scsi disks underperforming.
This is on IBM X 235 with LSI Logic / Symbios Logic 53c1030 PCI-X Fusion-MPT 
Dual Ultra320 SCSI (no raid).

Noted points.

          kernel 1644         kernel 1653
----------------------------------------------------
sda (ext3)  full speed            full speed
sdb (reiser3) full speed         down from 63Mb/s to 3.81 MB/sec
sdb  ""   ""                         ""           ""

Clue from diff of dmesg is 
#diff dmesg.2.6.14-1.1644_FC4smp dmesg.2.6.14-1.1653_FC4smp
< ioc1: 53C1030: Capabilities={Initiator}
---
> mptscsih: ioc0: DV: Release failed. id 0<6>ioc1: 53C1030: 
Capabilities={Initiator}



Version-Release number of selected component (if applicable):
2.6.14-1.1653_FC4smp

How reproducible:
Always

Steps to Reproduce:
1.If your hardware is same as we use, can reproduce the problem.
2.
3.
  

Actual Results:  root@proxy1 log]# uname -a
Linux proxy1 2.6.14-1.1653_FC4smp #1 SMP Tue Dec 13 21:46:01 EST 2005 i686 i686 
i386 GNU/Linux

[root@proxy1 log]# hdparm -t /dev/sda /dev/sdb /dev/sdc /dev/sdd /dev/sde

/dev/sda:
 Timing buffered disk reads:  192 MB in  3.02 seconds =  63.49 MB/sec

/dev/sdb:
 Timing buffered disk reads:   12 MB in  3.15 seconds =   3.81 MB/sec

/dev/sdc:
 Timing buffered disk reads:   12 MB in  3.14 seconds =   3.83 MB/sec

/dev/sdd:
 Timing buffered disk reads:   12 MB in  3.16 seconds =   3.79 MB/sec

/dev/sde:
 Timing buffered disk reads:   12 MB in  3.18 seconds =   3.78 MB/sec

Expected Results:  The speeds shown by hdparm clearly shows that except for first disk, all other 
scsi disks attached to on board scsi were underperforming.

[root@proxy1 log]# uname -a
Linux proxy1 2.6.14-1.1644_FC4smp #1 SMP Sun Nov 27 03:39:31 EST 2005 i686 i686 
i386 GNU/Linux
[root@proxy1 log]# hdparm -t /dev/sda /dev/sdb /dev/sdc /dev/sdd /dev/sde

/dev/sda:
 Timing buffered disk reads:  192 MB in  3.02 seconds =  63.49 MB/sec

/dev/sdb:
 Timing buffered disk reads:  192 MB in  3.02 seconds =  63.49 MB/sec

/dev/sdc:
 Timing buffered disk reads:  190 MB in  3.01 seconds =  63.16 MB/sec

/dev/sdd:
 Timing buffered disk reads:  190 MB in  3.00 seconds =  63.25 MB/sec

/dev/sde:
 Timing buffered disk reads:  192 MB in  3.02 seconds =  63.49 MB/sec



Additional info:

[root@proxy1 log]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda1 on /boot type ext3 (rw)
/dev/shm on /dev/shm type tmpfs (rw)
/dev/sdb1 on /var/squid/disk1 type reiserfs (rw)
/dev/sdc1 on /var/squid/disk2 type reiserfs (rw)
/dev/sdd1 on /var/squid/disk3 type reiserfs (rw)
/dev/sde1 on /var/squid/disk4 type reiserfs (rw)
Comment 1 Dave Jones 2005-12-23 14:43:41 EST
I'm very interested to hear whether the test kernels at
http://people.redhat.com/davej/kernels/Fedora/FC4 exhibit the same behaviour.
Comment 2 suresh kumar 2005-12-28 08:22:13 EST
The 2.6.14-1.1776_FC4smp  has resolved that problem.
Thanks and New Year Wishes.
Comment 3 Dave Jones 2005-12-29 02:04:06 EST
ok. I'll put this in MODIFIED state until that kernel is released as a proper
update.

Thanks for testing.
Comment 4 Dave Jones 2006-02-03 01:13:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 08:50:27 EDT
Closing per previous comment.
Sounds like it was fixed but the bug not closed when the update was released.

Note You need to log in before you can comment on or make changes to this bug.